module Gemnigma
  class Key
    attr_reader :key

    def initialize(key=41521)
      if (key.to_s.length == 5) && (key.class == Fixnum)
        @key = key
      else
        puts "Not a valid key, defaulting to 41521"
        @key = 41521
      end
    end

    def key_map
      generate_key_map
    end

    private

    def generate_key_map
      @key_map = @key.to_s.chars.each_cons(2).map(&:join).map(&:to_i)
    end
  
  end
end