require_relative "cipher_decrypt"
require_relative "rotator_encrypt"

module Gemnigma
  class RotatorDecrypt < RotatorEncrypt
    def rot_decrypt(word)
      mapping = map_word_to_key(word)
      
      mapping.map! do |arr|
        Gemnigma::CipherDecrypt.rotate_backward(arr.last)[arr.first]
      end

      mapping.join
    end
  end
end