module Gemnigma
  class Offset

    def date
      @current = Time.now
    end

    def offset
      squared_date.to_s.chars.last(4).map(&:to_i)
    end

    def full_date
      formatted_date
    end

    private

    def formatted_date
      date.strftime("%d%m%y").to_i
    end

    def squared_date
      formatted_date ** 2
    end
  end
end